# DocumentReference $document

`GET /DocumentReference/{id}/$document`

This resource contains metadata for any kind of document so that you can locate the document in a system. Typically, you may use this as a reference in another resource type that includes the subject, author, and context for a related document. 

You may want to use this resource if:

- You want raw XML data.
- You want to pick which documents to view or retrieve.

If you’re familiar with our Redox data models, this is the FHIR representation of the `ClinicalSummary.DocumentGet`. [Refer to the DocumentGet schema](https://developer.redoxengine.com/data-models/ClinicalSummary.html#DocumentGet). Or, if you only want to retrieve the patient’s latest CDA, [refer to  the PatientQuery schema](https://developer.redoxengine.com/data-models/ClinicalSummary.html#PatientQuery).

You can review, retrieve, create, edit, or convert document records.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $document

Read the `DocumentReference` from your connection’s system and convert its first XML (i.e., CDA) attachment into a FHIR `Bundle` with a `Composition` resource as its first entry.

This operation saves you from performing multiple FHIR searches for each encounter. 

If the `DocumentReference` doesn’t have an XML attachment or the attachment data can’t be retrieved, the response returns a `422` error.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | DocumentReference identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/DocumentReference/{id}/$document' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

Operation Response

A Document bundle containing a FHIR representation of a CDA document. The first resource, Composition, contains the glue that ties all the other clinical resources together.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: document |
| `entry` | Array of Composition or Patient or DocumentReference or AllergyIntolerance or Appointment or CareTeam or Condition or Consent or Coverage or Device or DeviceRequest or DiagnosticReport or Encounter or FamilyMemberHistory or Goals or HealthConcerns or Immunization or Location or MedicationAdministration or MedicationRequest or MedicationStatement or Observation or Organization or Practitioner or PractitionerRole or Procedure or RelatedPerson or ServiceRequest or Specimen or SupplyRequest or Other | Yes | Contains the overall Composition resource and all other resources associated with it |
| `entry[] (Composition).resource` | object | Yes | The main clinical document from which all bundle resources are referenced |
| `entry[] (Composition).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Composition |
| `entry[] (Composition).resource.language` | string | Yes | The base language in which the resource is written. |
| `entry[] (Composition).resource.identifier` | object | Yes | A version-independent identifier for the Composition. This identifier stays constant as the composition is changed over time. |
| `entry[] (Composition).resource.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Composition).resource.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Composition).resource.status` | string | Yes | The workflow/clinical status of this composition. The status is a marker for the clinical standing of the document. Possible values: preliminary, final, amended, entered-in-error |
| `entry[] (Composition).resource.type` | object | Yes | Specifies the particular kind of composition (e.g. History and Physical, Discharge Summary, Progress Note). This usually equates to the purpose of making the composition. |
| `entry[] (Composition).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.subject` | object | Yes | Who or what the composition is about. The composition can be about a person, (patient or healthcare practitioner), a device (e.g. a machine) or even a group of subjects (such as a document about a herd of livestock, or a set of patients that share a common exposure). Must be a resource of type `Patient`. |
| `entry[] (Composition).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.date` | string | Yes | The composition editing time, when the composition was last logically changed by the author. |
| `entry[] (Composition).resource.author` | Array of object | Yes | Identifies who is responsible for the information in the composition, not necessarily who typed it in. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` |
| `entry[] (Composition).resource.author[].extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.author[].extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.author[].extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.author[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.author[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.author[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.title` | string | Yes | Official human-readable label for the composition. |
| `entry[] (Composition).resource.custodian` | object | Yes | Identifies the organization or group who is responsible for ongoing maintenance of and access to the composition/document information. Must be a resource of type `Organization`. |
| `entry[] (Composition).resource.custodian.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.event` | Array of object | Yes | event is unsupported, but required by FHIR. |
| `entry[] (Composition).resource.event[].extension` | Array of object | No | Identifies this field as unsupported |
| `entry[] (Composition).resource.event[].extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.event[].extension[].valueCode` | string | Yes | The reason a required field is missing. Value: unsupported |
| `entry[] (Composition).resource.section` | Array of AdmissionDiagnosis or AdvanceDirectives or Allergies or Assessment or CareTeam or ChiefComplaint or DischargeDiagnosis or DischargeMedications or Encounters or FamilyHistory or FunctionalStatus or Goals or HealthConcerns or HistoryOfPresentIllness or Immunizations or Instructions or Insurances or Interventions or MedicalEquipment or MedicalHistory or Medications or MedicationsAdministered or Objective or PhysicalExam or PlanOfTreatment or Problems or Procedures or ReasonForReferral or ReasonForVisit or ResolvedProblems or Results or ReviewOfSystems or SocialHistory or Subjective or VitalSigns or Other | Yes | The root of the sections that make up the composition. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).title` | string | Yes | Human-readable name of section, e.g. `Admission Diagnosis` |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code` | object | Yes | Contains two codes (`46241-6` and `42347-5`) because C-CDA requires both to identify the section as Admission Diagnosis |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code.coding` | Array of HospitalAdmissionDx or AdmissionDx | Yes | An array of two discrete codes |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code.coding[] (HospitalAdmissionDx).code` | string | Yes | Value: 46241-6 |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code.coding[] (HospitalAdmissionDx).system` | string | Yes | Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code.coding[] (AdmissionDx).code` | string | Yes | Value: 42347-5 |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code.coding[] (AdmissionDx).system` | string | Yes | Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).code.text` | string | Yes | Value: Admission Diagnosis |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Condition`. |
| `entry[] (Composition).resource.section[] (AdmissionDiagnosis).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).title` | string | Yes | Human-readable name of section, e.g. `Advance Directives` |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).code` | object | Yes | LOINC code of `42348-3` programmatically identifying section as Advance Directives |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).code.coding[].code` | string | Yes | Identifies the section as Advance Directives. Value: 42348-3 |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Consent`. |
| `entry[] (Composition).resource.section[] (AdvanceDirectives).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Allergies).title` | string | Yes | Human-readable name of section, e.g. `Allergies` |
| `entry[] (Composition).resource.section[] (Allergies).code` | object | Yes | LOINC code of `48765-2` programmatically identifying section as Allergies |
| `entry[] (Composition).resource.section[] (Allergies).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Allergies).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Allergies).code.coding[].code` | string | Yes | Identifies the section as Allergies. Value: 48765-2 |
| `entry[] (Composition).resource.section[] (Allergies).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Allergies).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Allergies).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Allergies).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Allergies).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `AllergyIntolerance`. |
| `entry[] (Composition).resource.section[] (Allergies).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Assessment).title` | string | Yes | Human-readable name of section, e.g. `Assessment` |
| `entry[] (Composition).resource.section[] (Assessment).code` | object | Yes | LOINC code of `51848-0` programmatically identifying section as Assessment |
| `entry[] (Composition).resource.section[] (Assessment).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Assessment).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Assessment).code.coding[].code` | string | Yes | Identifies the section as Assessment. Value: 51848-0 |
| `entry[] (Composition).resource.section[] (Assessment).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Assessment).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Assessment).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Assessment).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Assessment).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Assessment).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Condition`. |
| `entry[] (Composition).resource.section[] (Assessment).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (CareTeam).title` | string | Yes | Human-readable name of section, e.g. `Care Teams` |
| `entry[] (Composition).resource.section[] (CareTeam).code` | object | Yes | LOINC code of `85847-2` programmatically identifying section as Care Teams |
| `entry[] (Composition).resource.section[] (CareTeam).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (CareTeam).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (CareTeam).code.coding[].code` | string | Yes | Identifies the section as Care Teams. Value: 85847-2 |
| `entry[] (Composition).resource.section[] (CareTeam).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (CareTeam).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (CareTeam).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (CareTeam).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (CareTeam).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `CareTeam`. |
| `entry[] (Composition).resource.section[] (CareTeam).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).title` | string | Yes | Human-readable name of section, e.g. `Chief Complaint` |
| `entry[] (Composition).resource.section[] (ChiefComplaint).code` | object | Yes | LOINC code of `10154-3` programmatically identifying section as Chief Complaint |
| `entry[] (Composition).resource.section[] (ChiefComplaint).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (ChiefComplaint).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (ChiefComplaint).code.coding[].code` | string | Yes | Identifies the section as Chief Complaint. Value: 10154-3 |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (ChiefComplaint).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).title` | string | Yes | Human-readable name of section, e.g. `Discharge Diagnosis` |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code` | object | Yes | Contains two codes (`11535-2` and `78375-3`) because C-CDA requires both to identify the section as Discharge Diagnosis |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code.coding` | Array of HospitalDischargeDx or DischargeDx | Yes | An array of two discrete codes |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code.coding[] (HospitalDischargeDx).code` | string | Yes | Value: 11535-2 |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code.coding[] (HospitalDischargeDx).system` | string | Yes | Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code.coding[] (DischargeDx).code` | string | Yes | Value: 78375-3 |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code.coding[] (DischargeDx).system` | string | Yes | Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).code.text` | string | Yes | Value: Discharge Diagnosis |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Condition`. |
| `entry[] (Composition).resource.section[] (DischargeDiagnosis).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (DischargeMedications).title` | string | Yes | Human-readable name of section, e.g. `Discharge Medications` |
| `entry[] (Composition).resource.section[] (DischargeMedications).code` | object | Yes | Contains two codes (`10183-2` and `75311-1`) because C-CDA requires both to identify the section as Discharge Medications |
| `entry[] (Composition).resource.section[] (DischargeMedications).code.coding` | Array of HospitalDischargeMeds or DischargeMeds | Yes | An array of two discrete codes |
| `entry[] (Composition).resource.section[] (DischargeMedications).code.coding[] (HospitalDischargeMeds).code` | string | Yes | Value: 10183-2 |
| `entry[] (Composition).resource.section[] (DischargeMedications).code.coding[] (HospitalDischargeMeds).system` | string | Yes | Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (DischargeMedications).code.coding[] (DischargeMeds).code` | string | Yes | Value: 75311-1 |
| `entry[] (Composition).resource.section[] (DischargeMedications).code.coding[] (DischargeMeds).system` | string | Yes | Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (DischargeMedications).code.text` | string | Yes | Value: Discharge Medications |
| `entry[] (Composition).resource.section[] (DischargeMedications).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (DischargeMedications).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (DischargeMedications).entry` | Array of object | No | A reference to a discrete resource for the section Must reference one of the following types of resources: - `MedicationRequest` - `MedicationStatement` |
| `entry[] (Composition).resource.section[] (DischargeMedications).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Encounters).title` | string | Yes | Human-readable name of section, e.g. `Encounters` |
| `entry[] (Composition).resource.section[] (Encounters).code` | object | Yes | LOINC code of `46240-8` programmatically identifying section as Encounters |
| `entry[] (Composition).resource.section[] (Encounters).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Encounters).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Encounters).code.coding[].code` | string | Yes | Identifies the section as Encounters. Value: 46240-8 |
| `entry[] (Composition).resource.section[] (Encounters).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Encounters).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Encounters).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Encounters).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Encounters).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Encounter`. |
| `entry[] (Composition).resource.section[] (Encounters).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (FamilyHistory).title` | string | Yes | Human-readable name of section, e.g. `Family History` |
| `entry[] (Composition).resource.section[] (FamilyHistory).code` | object | Yes | LOINC code of `10157-6` programmatically identifying section as Family History |
| `entry[] (Composition).resource.section[] (FamilyHistory).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (FamilyHistory).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (FamilyHistory).code.coding[].code` | string | Yes | Identifies the section as Family History. Value: 10157-6 |
| `entry[] (Composition).resource.section[] (FamilyHistory).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (FamilyHistory).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
[...]
